### Enumeration

# Ggit Error

#### Declaration

    error-domain Ggit.Error

#### Description [src]

Error codes for the `GGIT_ERROR` error domain.

#### Members

`GGIT_ERROR_GIT_ERROR`

  A generic error for when an operation fails.

  - Value: `-1`
  - Available since: 1.0
`GGIT_ERROR_NOTFOUND`

  Input does not exist in the scope searched.

  - Value: `-3`
  - Available since: 1.0
`GGIT_ERROR_EXISTS`

  A reference with this name already exists.

  - Value: `-4`
  - Available since: 1.0
`GGIT_ERROR_AMBIGUOUS`

  The given error is ambiguous.

  - Value: `-5`
  - Available since: 1.0
`GGIT_ERROR_BUFS`

  The buffer is too short.

  - Value: `-6`
  - Available since: 1.0
`GGIT_ERROR_PASSTHROUGH`

  Skip and passthrough the given ODB backend.

  - Value: `-30`
  - Available since: 1.0
`GGIT_ERROR_ITEROVER`

  The iteration has finished.

  - Value: `-31`
  - Available since: 1.0

#### Type functions

###### ggit_error_quark

Error domain for Ggit functions. Errors in this domain will be from the GgitError enumeration. See `GError` for information on error domains.